// determine categories for range of items whose index
// ranges from begin through end
//
#include "mkevals.h"

void findcats(matrix& bp, vector<dbl>& item,
        vector<uns>& cat, uns begin, uns end)
{
    off_on iflag = off;

    for (uns j = begin ; j <= end ; j++){
        iflag = on;
        for (uns k = nbpts-1 ; k+1 ; k--){
            if (item[j] >= bp[j][k]) {
                iflag = off;
                cat[j] = k+1;   // cat[j] = 1 through nbpts
                break;
            }
        }
        if (iflag) cat[j] = 0;  // the lowest category
    }
}
