// adds space chars to word to increase length to n,
// or erases chars from end of word to decrease length to n-1,
// and if length is decreased, add a space (so word will have
// length n), then returns word.

#include "mkevals.h"

string pad_space(string& word, uns n)
{
    string::size_type p;
    const char space = ' ';

    if (word.length() < n) {    // add spaces
        while (word.length() < n)
            word.push_back(space);
    }
    else {                      // or erase trailing chars
        for (p = word.length()-1 ; word.length() > n-1; p--)
            word.erase(p);
        word.push_back(space);  // add space at the end
    }

    return word;
}
