// puts a grade followed by a row of "#", one for each
// count of the stated grade, thus creating a histogram
//
#include "mkevals.h"

void showstat(map<string, uns> ngr, string gr)
{
    osstream oss;
    oss << "(" << ngr[gr] << ")" << ends;
    string s = oss.str();      // helps with formatting double-digit
    cout.width(2);
    cout.setf(ios::right, ios::adjustfield);
    cout << gr.c_str() << ":"; // grade label
    cout.setf(ios::left, ios::adjustfield);
    cout.width(4);             // allows for double-digit ngr[gr]
    cout << s.c_str();         // ngr[gr]: number of grade gr
    cout.setf(ios::right, ios::adjustfield);
    for (uns k = 0 ; k < ngr[gr] ; k++)
        cout << "#";           // to make histogram
    cout << "\n";
    oss.clear();
}

